<?php class crystalscoringsystem extends baseobject {
	
	protected static $fields=array(
			'name'=>validator::REQUIRED,
			'iscurrent'=>validator::BOOLEAN,
	);
	
	protected static $helpTexts=array(
			'name'=>'A unique name for this scoring system',
			'iscurrent'=>'Whether this system should be used for new plates',
	);

	public static function create($request=array()){
		$project=project::getByName(project::SHARED);
		$request['projectid']=$project['id'];
		$ret=parent::create($request,'crystalscoringsystem');
		$systemId=$ret['created']['id'];
// 		crystalscore::create(array(
// 				'crystalscoringsystemid'=>$systemId,
// 				'name'=>$systemId.'_Clear',
// 				'label'=>'Clear',
// 				'scoreindex'=>0,
// 				'color'=>'666666'
// 		));
		return $ret;
	}

	public static function getscores($id, $request=array()){
		return crystalscore::getbyproperty('crystalscoringsystemid',$id, $request);
	}
	
}


?>